<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8"/>
    <%= csrf_meta_tag() %>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Billout · A Payroll Application</title>
    <%= csrf_meta_tag() %>
    <link rel="stylesheet" href="<%= Routes.static_path(@conn, "/css/app.css") %>"/>
    <link href="https://fonts.googleapis.com/css?family=Barlow" rel="stylesheet">
    <link rel="stylesheet" href="https://unpkg.com/element-ui/lib/theme-chalk/index.css">
  </head>
  <body>
    <div class="columns page">
      <div class="column col-2">
        <%= render "sidebar.html", conn: @conn %>
      </div>
      <div class="mainbar column col-10">
        <div class="top_div columns">
          <div class="top_bar2 col-ml-auto col-2 columns ">
            <span class="circle column col-3">TB</span>
            <div class="column col-9 ">
              <ul class="user_ul">
                <li id="user-name"><%= current_username(@conn) %></li>
                <li class="hr_manager"><%= current_position(@conn) %></li>
              </ul>
            </div>
            <div id="user-dropdown" style="display: none;">
              <p>Profile</p>
              <p><a href="/employees/reset">Change Password</a></p>
              <p><a href="/logout">Log Out</a></p>
          </div>
          </div>          
        </div>
        <div class="content">
          <p onload="timeOut()" class="alert alert-info" role="alert"><%= get_flash(@conn, :info) %></p>
          <p class="alert alert-danger" role="alert"><%= get_flash(@conn, :error) %></p>
          <%= render @view_module, @view_template, assigns %>
        </div>
      </div>
    </div>
    <script type="text/javascript" src="<%= Routes.static_path(@conn, "/js/app.js") %>"></script>
    
  </body>
</html>